LinHES - Bug # 701: R6.03 update overwrites /etc/sv/ncid/run with non-working file

Status: Closed Priority: Normal

Author: jzigmyth Category: Installation/Upgrade

Created: 06/13/2010 Assignee: jams

Updated: 12/16/2010 Due date:

Description: R6.03 as well as R6.02 creates an incorrect /etc/sv/ncid/run file and overwrites any existing /etc/sv/ncid/run

file that is correct. The created file errors out with an invalid command line parameter.

Suggested solution is to either have LinHes install the /etc/sv/ncid/run file listed in the wiki
http://linhes.org/bugs/projects/linhes/wiki/Caller_|D_displayed_on_your_LIinHES_screen or not have LinHes
install any ncid and ncidd files at all, as LinHes does not contain the rest of the files and configurations

necessary to use NCID out of the box anyway. That way it won't interfere with users who do install and

configure it.

Associated revisions

12/16/2010 08:55 am - jams

runit-scripts: removed ncid ncidd. These will move to the ncid pkg
refs:#701

closes:#701

History

06/14/2010 06:33 am - jams

- Estimated time set to 2.00

The included ncidd file works perfectly fine for me.

Since it appears other use ncid | will include my packages in the repo.

06/14/2010 11:44 am - jzigmyth

Yes, the included ncidd file (the *server daemon®) works for me too.

It is the included ncid (only one "d", the *client program* run file, which needs to be configured for the MythTV interface) that doesn't work. When | run

the included /etc/sv/ncid/run from the command line, it errors out saying the "--all" command line parameter is not valid.

Perhaps we are using different versions of ncid. I'm using 076. What version of ncid are you using?

This line in the *run* file works:

@exec /usr/bin/ncid --no-gui --call-prog --program ncid-mythtv@

This (the included with R6.03) line does not:

@exec /usr/bin/ncid --no-gui --all --call-prog --program /usr/bin/ncid.py 127.0.0.1 3333@

The "--all" parameter is not accepted as valid. (It also doesn't call the ncid-mythtv program, but thats another matter)

12/16/2010 08:55 am - jams
removed the runitscripts.

Will work on adding it as a pkg at a later date.

12/16/2010 09:02 am - admin
- % Done changed from 0 to 100
- Status changed from New to Closed

Applied in changeset commit:"60e239e45c6bf216daca2acd8f17fd05e9bc2e60".
